Package org.silverpeas.components.kmelia.service

## Class KmeliaAttachmentEventListener

- java.lang.Object
- - org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.contribution.attachment.notification.AttachmentEvent>
  - - org.silverpeas.components.kmelia.service.KmeliaAttachmentEventListener

- All Implemented Interfaces:
    `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.contribution.attachment.notification.AttachmentEvent>`

      @Bean
      public class KmeliaAttachmentEventListener
      extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.contribution.attachment.notification.AttachmentEvent>

  Author:
    neysseri

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaAttachmentEventListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCreation​(org.silverpeas.core.contribution.attachment.notification.AttachmentEvent event)` |
    `void` | `onDeletion​(org.silverpeas.core.contribution.attachment.notification.AttachmentEvent event)` |
    `void` | `onUpdate​(org.silverpeas.core.contribution.attachment.notification.AttachmentEvent event)` |

    - ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

      `onEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

      `dispatchEvent, isEnabled, onMove, onRecovery, onRemoving, onUnlock`

- - ### Constructor Detail

    - #### KmeliaAttachmentEventListener

          public KmeliaAttachmentEventListener()

  - ### Method Detail

    - #### onDeletion

          public void onDeletion​(org.silverpeas.core.contribution.attachment.notification.AttachmentEvent event)

    - #### onUpdate

          public void onUpdate​(org.silverpeas.core.contribution.attachment.notification.AttachmentEvent event)

    - #### onCreation

          public void onCreation​(org.silverpeas.core.contribution.attachment.notification.AttachmentEvent event)